#!/usr/bin/env ruby

input = STDIN.read

# Quick function to add commas to long values
def ts( number )
  number.to_s.reverse.scan(/(?:\d*\.)?\d{1,3}-?/).join(',').reverse
end

# Scan for numbers in the text
arr = input.scan(/\.?\d[\d,]+(?:\.\d+)?/).map{|line| 
  # remove non-decimal characters from results and convert to float
  line.gsub(/[^\d\.]/,'').to_f
}.sort

print input # output the original text

# if there were 2 or more numbers found, output the additional information
print "\n - Average of #{arr.size} numbers ranging from #{arr[0]} to #{arr[arr.size-1]}: " + ts(arr.inject(0.0) { |sum,el| sum + el } / arr.size ) unless arr.empty? || arr.size == 1